<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.CustomizeMapper">

    <resultMap id="customizeMap" type="com.tofly.xrtygis.entity.Customize">
        <id property="id" column="ID"/>
        <result property="reviseDate" column="REVISE_DATE"/>
        <result property="dmaId" column="DMA_ID"/>
        <result property="dmaName" column="DMA_NAME"/>
        <result property="dmaCode" column="DMA_CODE"/>
        <result property="dmaLevel" column="DMA_LEVEL"/>
        <result property="leakCorrectionFactor" column="LEAK_CORRECTION_FACTOR"/>
        <result property="beforLeak" column="BEFOR_LEAK"/>
        <result property="afterLeak" column="AFTER_LEAK"/>
        <result property="cxcCorrectionFactor" column="CXC_CORRECTION_FACTOR"/>
        <result property="beforCxc" column="BEFOR_CXC"/>
        <result property="afterCxc" column="AFTER_CXC"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="updateTime" column="UPDATE_TIME"/>
        <result property="updateUser" column="UPDATE_USER"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.xrtygis.mapper.IFileMapper.getUserName"/>
        <association property="updateUserName" column="UPDATE_USER"
                     select="com.tofly.xrtygis.mapper.IFileMapper.getUserName"/>
        <association property="dmaLevelName" column="DMA_LEVEL" select="com.tofly.xrtygis.mapper.LeakAssessmentMapper.getDmaLevleName"/>
    </resultMap>


</mapper>
